﻿import {useBaseApi} from '/@/api/base';

// 客户角色接口服务
export const useFBS_RoleApi = () => {
	const baseApi = useBaseApi("fBS_Role");
	return {
		// 分页查询客户角色
		page: baseApi.page,
		// 查看客户角色详细
		detail: baseApi.detail,
		// 新增客户角色
		add: baseApi.add,
		// 更新客户角色
		update: baseApi.update,
		// 设置客户角色状态
		setStatus: baseApi.setStatus,
		// 删除客户角色
		delete: baseApi.delete,
		// 批量删除客户角色
		batchDelete: baseApi.batchDelete,
		// 导出客户角色数据
		exportData: baseApi.exportData,
		// 导入客户角色数据
		importData: baseApi.importData,
		// 下载客户角色数据导入模板
		downloadTemplate: baseApi.downloadTemplate,
	}
}

// 客户角色实体
export interface FBS_Role {
	// 主键Id
	id: number;
	// 名称
	name: string;
	// 编码
	code: string;
	// 排序
	orderNo: number;
	// 数据范围
	dataScope: number;
	// 备注
	remark: string;
	// 状态
	status: number;
	// 租户Id
	tenantId: number;
	// 创建时间
	createTime: string;
	// 更新时间
	updateTime: string;
	// 创建者Id
	createUserId: number;
	// 创建者姓名
	createUserName: string;
	// 修改者Id
	updateUserId: number;
	// 修改者姓名
	updateUserName: string;
}